Subject: Re: bug#37164: Generated installation image does not include grub.

From: Gábor Boskovits <[email-masked]>
Date: Mon, 26 Aug 2019 22:44:35 +0200

Hello,

Jesse Gibbons <[email-masked]> ezt írta (időpont: 2019. aug. 23.,
P, 19:41):

> 1. generate the install image
>  guix system disk-image --file-system-type=iso9600 --verbosity=3 --
> root=installation-os-x86_64.iso  --system=x86_64-linux -e '(@ (gnu
> system install) installation-os)'
>
>
Just a wild guess, does it work with the verbosity option removed?
I had issues with that in the past.

2. examine the resulting iso
> readlink installation-os-x86_64.iso | xargs file
>
> output: /gnu/store/3xp541s4zrxass6h6rcwfz7bc33wv84p-disk-image: DOS/MBR
> boot sector; partition 1 : ID=0x83, active, start-CHS (0x0,32,33), end-
> CHS (0xe3,198,58), startsector 2048, 3657239 sectors; partition 2 :
> ID=0xef, start-CHS (0xe3,198,59), end-CHS (0xe8,224,16), startsector
> 3659287, 81921 sectors
>
> 3. Compare this output with what file says about the official
> installation iso:
> wget https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.1.x86_64-linu
> x.iso.xz
> unxz guix-system-install-1.0.1.x86_64-linux.iso.xz
> readlink guix-system-install-1.0.1.x86_64-linux.iso
>
> output:guix-system-install-1.0.1.x86_64-linux.iso: DOS/MBR boot sector;
> GRand Unified Bootloader, stage1 version 0x79, boot drive 0xbb, stage2
> address 0x8e70, 1st sector stage2 0xb8db31c3, stage2 segment 0x201;
> partition 1 : ID=0xee, start-CHS (0x0,0,2), end-CHS (0x3f6,38,4),
> startsector 1, 2694403 sectors, extended partition table (last)
>
> It appears file discovered the GRand Unified Bootloader in the official
> iso but not in the generated iso.
>
> When I try to use the generated iso in virt-manager, it claims there
> are no bootable drives. I think this is because the generated iso has
> no GRUB.
>
> The manual says to specify the file gnu/system/install.scm instead of
> the value (@ (gnu system install) installation-os)) but ultimately they
> give guix the same value, so I think that wouldn't make a difference.
>
> removing --system=x86_64 does not trigger a full rebuild, so it looks
> like guix does not expect to build anything different.
>
> Guix describe outputs:
>
> Generation 47   Aug 23 2019 09:22:24    (current)
>   guix d78bc23
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: d78bc23411b1351ff9495a511c22b27d17f9226f
>
> GUIX_PACKAGE_PATH="/home/jesse/Documents/broken-guix/Broken-Guix-
> Packages"
>
> Thanks
> -Jesse
>
>
>
>
Best regards,
g_bor

-- 
OpenPGP Key Fingerprint: 7988:3B9F:7D6A:4DBF:3719:0367:2506:A96C:CF63:0B21